﻿@using DataLayer.Model.Enums
@model Client_app.ViewModels.EditeUserViewModel
@{
    ViewData["Title"] = "EditeProfile";
    Layout = "~/Views/Shared/_AccountLayout.cshtml";
}

<div class="card shadow-sm mt-3">
    <div class="card-header">ویرایش پروفایل</div>
    <div class="card-body">

        <form enctype="multipart/form-data" asp-action="EditeProfile" method="post">
            <input type="hidden" asp-for="ImageName" />
            <div class="form-group">
                <label></label>
                <input class="form-control" type="text" asp-for="UserName" placeholder="نام کاربری" />
            </div>
            <div class="form-group">
                <label></label>
                <input class="form-control" type="email" asp-for="Email" placeholder="ایمیل" />
            </div>
            <div class="form-group">
                <label></label>
                <input class="form-control" type="text" asp-for="Job" placeholder="شغل" />
            </div>
            <div class="form-group">
                <label></label>
                <input class="form-control" type="number" asp-for="Age" placeholder="سن" />
            </div>
            <div class="form-group">
                <label>زن</label>
                <input type="radio" asp-for="Gender" value="@GenderEnum.female" />

                <label>مرد</label>
                <input type="radio" asp-for="Gender" value="@GenderEnum.male" />

            </div>

            <div class="form-group">
                <input type="file" name="imgU" id="imgU" />
                <img src="/UserImage/@Model.ImageName" id="imguser" width="150" height="150" />
            </div>

            <div class="form-group">
                <input type="submit" class="btn btn-success btn-block" value="ذخیره" />
            </div>
        </form>


    </div>
</div>
@section srcript{
    <script>
        function readURL(input) {
            if (input.files && input.files[0]) {
                var reader = new FileReader();

                reader.onload = function (e) {
                    $('#imgU').attr('src', e.target.result);
                }

                reader.readAsDataURL(input.files[0]); // convert to base64 string
            }
        }

        $("#imguser").change(function () {
            readURL(this);
        });
    </script>
}
